Introduction to GEM+

Introduction

GEM+ is designed to be used in conjunction with Papyrus' classic racing simulator 'Grand Prix Legends'. It allows easy modification of many hidden settings from a single user interface and acts as a central hub from which to run other GPL utilities. Version 2.4 is an extension on 2.2.1 and 2.2.16. It allows you to easily switch carsets and even create your own. It also adds a number of new features and controls including a brand new Season Manager (Track manager) to replace the rather bug ridden one in 2.2.1.

iGOR is the work of Phil Flack. It provides similar functionality to VROC but with explicit support for the new car classes. Most importantly, it interfaces with a set of online security programs written by Tom De Muer. The two together are designed to ensure that the physics on each GPL client connected to a server is the same as the server. If there is a mismatch the client is forcibly disconnected. Providing the race list information for iGOR is nidhoegger written by Christoph Frick. I'm sure the name is an acronym but I was afraid to ask what for and am assured it’s not rude. Well, not very rude anyway.

The whole suite is designed to work as seamlessly as possible. In normal use you shouldn't need to worry about it. GEM+ creates the environment for you and copies what you need to your GPL installation


GEM+ System Requirements

GEM+ don't need much. In general if you can run Grand Prix Legends without problems you should be able to run GEM+ too.

Requirements:
  • Windows 95, 98, 98se, ME, Windows 2000 or Windows XP
  • Papyrus' Grand Prix Legends 1.2.0.2 (1.2 with the speedfix patch)
    You can use the All-In-One V2 patches which can be found here:
    http://gplmz.bcsims.com/index.php?showtopic=2621#
    Or you can use the GPL 2004 Demo (exports folder limitation removed) which you can find here: http://www.bhmotorsports.com/GPL/downloads/619
  • 26Mb free hard disk space (depending on options).
  • User must have administrative rights for the installation of GEM+


Disk Cleanup with Windows XP

You can use the Disk Cleanup Tool. An easy way to use it is to start it this way:
Click Start, and then click Run. In the Open box, type cleanmgr, and then click OK (More information from Microsoft: http://support.microsoft.com/default.aspx?scid=kb;en-us;310312 Knowledge Base Articel 310312)
The Disk Cleanup Tool will start but it will need some time depending on your computer and harddisk. You should see something similiar to this screenshot:

Select only the following option:

This will take some time.


Installing GEM+

Installation

The installation of GEM+ is straight forward.
  • Make sure that you accomplish the GEM+ System Requirements
    You can use the GPL Patch Inspector to verify your GPL.exe
    Download GPL Patch Inspector here: http://forum.rscnet.org/showthread.php?t=240598
  • Close all programs
  • Make sure that you have an empty temp folder before executing the downloaded GEM+ installation file.
    An easy way is to use the Microsoft Utility cleanmgr which is included in Windows XP/Windows 2000/Windows 98
    Details about Windows XP Harddisk Cleanup Utility
    Details about how to find your temp folder manually
  • Start the installer
  • When you see the Welcome screen, please take the time and read before you select Next
  • Read the Software Licence Agreement and when you're ready select Yes
  • Now the installer wants to know the destination directory. In most cases the default will be ok. So click on Next
    IMPORTANT NOTE:
    The default destination directory will be C:\Program Files\GPLSecrets (%ProgramFiles%\GPLSecrets). Some think it might be a good idea to install to the GPL directory. Please avoid this.
  • Now the installer ask for the Program Folder. As with the destination directory in most cases the default GPLSecrets folder will be ok. So click on Next
  • The installer will create a desktop shortcut. You can accept the default setting (create a shortcut) and advance to the next screen by clicking Next
  • Now you see a summary of your choices. If you're not satisfied use the Back button to change them. Otherwise click Next to start the installation.
  • If all goes well the installation program will show you the last window. Click Finish
Now GEM+ is installed. If you have used the default settings during the installation select the GEM+ icon and start the program.
If this is an update GEM+ should start without problems.
For common problems take a look at the GEM+ Frequently Asked Questions

If this is a new installation GEM+ needs some information:
First it wants to know which language you want to use:

Regardless of your choice you can select another language later in GEM+
Change Language

Next GEM+ ask if the animated videos should be enabled. You need a divx codec for this.
Divx Homepage (Information and download): http://www.divx.com/

If you select yes and you don't have the codec installed the worst thing which will happen is that you see white pictures instead of car/track animations. You can alter this settings later in GEM+: Change Videos Settings

Now GEM+ will ask which version to use if it founds one. If you for example have installed GPL in C:\Sierra\GPL like in the picture below GEM+ will ask you to use this version.

If you select No or if GEM+ don't find the GPL 2004 Demo/GPL key you will see this dialog:

Now use the OK button to open the GEM+ GPL Installation Maintenance Window. Use the Add button and add your desired GPL.exe

Now you see the selected GPL.exe in the GPL Installation Maintenance Window:

Click OK and GEM+ should start.
If not please take your time and take a look at the GEM+ FAQ


Change GEM+ language

Start GEM+ and click the Configure Button

Next change the language to your needs


Change GEM+ video settings

Start GEM+ and click the Configure Button

Next change the following video options to your needs


GEM+ Frequently Asked Questions

Over a couple of years and different GEM+ versions there have been some problems but also some solutions. Here is a list which might help

Most initial GEM problems stem from not following the instructions. The two most common mistakes are not patching to 1.2.0.2 before using GEM and not creating a player before using GEM. If your unsure about the patch level download the GPL Patch Inspector which you can download here: http://forum.rscnet.org/showthread.php?t=240598

Installation

Autoexec.nt Problem

Windows Message: "C:\WINDOWS\SYSTEM32\AUTOEXEC.NT. The system file is not suitable for running MS-DOS and Microsoft Windows applications. Choose Close to terminate the application."

You might have one of the following files corrupted or missing due to a Windows upgrade.

Autoexec.nt - Config.nt - Command.com

See autoexec.nt Also see Microsoft's bulletin

Video/Pictures General

A first try would be to set the desktop color depth to 16bit and restart GEM+

Video problems

You have activated videos but don't have the right DIVX codec installed.
There're two ways around this:
  1. Rename GEM.ini (usually C:\Program Files\GPLSecrets\GEM+\gem.ini) to something like gem.txt and restart GEM+
    Don't select Enable Videos
  2. In GEM+ use the Configure button and deselect enable carset animations, enable caranimations, enable track animations (Change GEM+ video settings)

Startup Errors

GPL.exe maybe set to readonly ?

GEM+ seems to hang

Rename GEM.ini (usually C:\Program Files\GPLSecrets\GEM+\gem.ini) to something like gem.txt and restart GEM+
Don't select Enable Videos

GEM+ missing modules (ocx, dll)

System Error &H8007007E (-2147024770)
  • When installer asks path for GEM+ open an explorer, browse to your TEMP folder (%USERPROFILE%\Local Settings\Temp)
  • Copy all .dll and .ocx files to %SystemRoot%\System32 folder (ex. C:\WINDOWS\SYSTEM32)
  • Run CMD.EXE, proceed to %SystemRoot%\System32 folder (cd windows\system32)
  • Register copied files with REGSVR32 (ex. REGSVR32 MSVBVM60.DLL)
  • Resume GEM+ installation

GPL has caused an error in GPL.exe

Maybe you have not installed the speedfix. Easy way around is to use the All-In-One V2 package (http://gplmz.bcsims.com/index.php?showtopic=2621) which is an enhanced version of the original All-In-One package.

GEM+ wants to open the Internet connection

Sounds like you don't have the divx codec installed. It's media player which is dialling up when it tries to play the videos.
Rename GEM.ini (usually C:\Program Files\GPLSecrets\GEM+\gem.ini) to something like gem.txt and restart GEM+
When it asks you if you want to show the videos, say no. All should then be well.

GEM+ Freeze at 'Initial ...'

Uninstalled eTrust - seemingly everything is back to function.

GEM+ /GPL Lots of exe files

You need to point GEM+ only to the GPL.exe file in the GPL directory. Not to the GEM+ created exe files.
Here's a list of exe files:
  • For the 65 physics:
    • GPL65d.exe
    • GPL65G.exe
    • GPLc65.exe
    • GPLces.exe
  • For the 67 physics:
    • gpl.exe
    • GPLcfd.exe
    • GPLcfg.exe
    • gplcfl.exe
    • GPLcfv.exe
  • And for the TC cars:
    • gplbtz.exe

GEM+ 67 cars error (green button in GPL don't work)

You can run 65/TC/69 Mod but no chance to get into the 67 cars.
Sounds like you've applied the carsound patch but haven't put any '67 sound files in. Have a look around the forums, there are some superb sound sets available. Alternatively the GPLEA set is still very good.
GPLEA Sound Set: http://www.kotr.de/GPL/sounds/GPLEASOUNDSv5.ZIP
And again the GPL Patch Inspector might be a good idea: http://forum.rscnet.org/showthread.php?t=240598

GEM+ Not able to run anything other then a specific carset

No matter what combination I choose of driver and carset, I'm allways in '67 (before, I had only 65 and 67, both running perfectly)
Do you have the install set to not patch gpl.exe?

Strange Carsound Patch checkboxes ???

This is the new Patch Management to make it easier to use some of the patches.

At the moment there are only 2 entries but maybe we'll see more here (like Pribluda ?)

  • Base Exe Already Carsound Patched

    If you have a GPL patched with the carsound patch from Nigel select this option (GPL 2004 Demo/All-In-One V2/self patched) and uncheck the Patch Carset For Carsound

  • Patch Carset For Carsound

    Will patch GPL with the Carsound patch which is needed for the mods. You can use this if you have the latest GPL 1.2.02 exe without the carpatch.

  • Unsure ????
    Use GPL Patch Inspector: You can get it here:
    http://forum.rscnet.org/showthread.php?t=240598


Cleaning the temporary files manually

As the GEM+ installer uses the temporary folder to extract the installation files there might be problems with this folder. Here's a short guide how to manually delete files before installing GEM+:

Open a DOS window first
In Windows 95/98/98SE click Start, and then click Run. In the Open box, type command.com, and then click OK.
In Windows 2000/XP click Start, and then click Run. In the Open box, type cmd, and then click OK.

You should now see a picture like this:

Next type in echo %temp%

You should see this now:

So in this case the temporary files are in C:\DOCUME~1\bnowdbg\LOCALS~1\Temp
To make navigating easy select this line, mark it and copy it to the clipboard:

When you have marked the line press Enter to copy it to the clipboard.
Now you can close the DOS Window by typing exit and pressing Enter.
Next open a Windows Explorer Window. To do so click start and then click Run. Click in the Open box and use CTRL and V and paste the line in it, and then click OK.

You will see the content of the temporary folder now:

Mark one entry and press CTRL and A after that to select all files. Press the Delete key (del) and delete the files. There might be some files which can't be deleted (access denied) . Important is that most files will be deleted.